  With ds_cargo.FieldDefs Do
  Begin
    Add('filename',ftstring,20,false);
    Add('Category',ftstring,60,false);
    Add('price',ftfloat,0,false);
    Add('quant',ftinteger,0,false);
    Add('mass',ftfloat,0,false);
    Add('volume',ftfloat,0,false);
    Add('functionality',ftfloat,0,false);
    Add('maxfunctionality',ftfloat,0,false);
    Add('description',ftstring,30,false);
    Add('missionCargo',ftboolean,0,false);
  End;
  ds_cargo.CreateTable;
  ds_cargo.Open;

